---
dependency:
  name: galaxy
  options:
    role-file: requirements.yml
    requirements-file: requirements.yml
    force: False
driver:
  name: openstack
platforms:
  - name: oauth2-proxy-${CI_UNIQUE_ID:-local}
    image: "Centos 7"
    flavor: s1-4
    network: Ext-Net
    ssh_user: centos
provisioner:
  name: ansible
  playbooks:
    create: ../common/playbooks/create.yml
    destroy: ../common/playbooks/destroy.yml
    cleanup: ../common/playbooks/cleanup.yml
    prepare: ../common/playbooks/prepare.yml
  config_options:
    defaults:
      pipelining: true
      callback_whitelist: coverage
      host_key_checking: false
verifier:
  name: testinfra
  options:
    sudo: true
